package com.kmall.admin.dao;

import com.kmall.admin.entity.StoreEntity;
import org.apache.ibatis.annotations.Param;
import com.kmall.manager.dao.BaseDao;

import java.util.List;
import java.util.Map;

/**
 * Dao
 *
 * @author Scott
 * @email
 * @date 2017-12-02 00:53:32
 */
public interface StoreDao extends BaseDao<StoreEntity> {

    StoreEntity queryObjectByName(@Param("storeName") String storeName);

    List<StoreEntity> queryExportList(Map<String, Object> map);
//    StoreEntity queryObjectByDistId(@Param("distId") Integer distId);
}
