package com.kmall.admin.fromcomm.dao;

import com.kmall.admin.fromcomm.entity.SysRoleEntity;
import com.kmall.manager.dao.BaseDao;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 角色管理
 *
 * @author Scott
 * @email
 * @date 2016年9月18日 上午9:33:33
 */
public interface SysRoleDao extends BaseDao<SysRoleEntity> {

    /**
     * 查询用户创建的角色ID列表
     */
    List<Long> queryRoleIdList(Long createUserId);

    SysRoleEntity queryObjectByName(@Param("roleName") String roleName);
}
