package com.kmall.api.dao.mk;

import com.kmall.api.entity.mk.MkStoreCampMinusVo;
import com.kmall.manager.dao.BaseDao;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 门店满减活动Dao
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2019-05-29 14:43:28
 */
public interface ApiMkStoreCampMinusMapper extends BaseDao<MkStoreCampMinusVo> {
    List<MkStoreCampMinusVo> getCampMinusByStoreIdList(Map<String, Object> map);

    Integer queryOrderCountByUserIdAndCampId(@Param("userId")Long userId,@Param("campMinusId")Integer campMinusId);
}
