package com.kmall.api.dao.mk;

import com.kmall.api.entity.GoodsVo;
import com.kmall.api.entity.mk.MkStoreTicketDiscountGoodsVo;
import com.kmall.manager.dao.BaseDao;

import java.util.List;
import java.util.Map;

/**
 * 门店优惠券活动商品，参与优惠的商品Dao
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2019-05-07 16:06:28
 */
public interface ApiMkStoreTicketDiscountGoodsMapper extends BaseDao<MkStoreTicketDiscountGoodsVo> {
    MkStoreTicketDiscountGoodsVo queryObjectByStoreReal(MkStoreTicketDiscountGoodsVo ticketDiscountEntity);

    List<GoodsVo> queryDiscountGoodsList(Map map);

    Integer queryDiscountGoodsTotal(Map map);
}
